### Virtual Method

# Ide ApplicationAddin unload

#### Declaration

    void
    unload (
      IdeApplicationAddin* self,
      IdeApplication* application
    )

#### Description

This inteface method is called when the application is shutting down or the plugin has been unloaded.

Use this function to cleanup after anything setup in ide_application_addin_load().

Available since: | 3.32

#### Parameters

`application` | `IdeApplication`
| An `IdeApplication`.
| The data is owned by the caller of the function.